const Discord = require('discord.js');
const db = require('quick.db');

exports.run = async(bot, message, args) => {
    let number = args[0];
    let bal = await db.get(`Balance_${message.author.id}`);
    if (number > bal || number <= 0|| !bal) return message.channel.send(`Your balance is under the value you entered.`)
    let cfNumber;
    if (!number) return message.channel.send('Please specify an amout to use.');
    if (number > 50000 || number == "all") {
        if (50000 > bal){
            cfNumber = bal;
        }else{
            cfNumber=50000;
        }
        
    }
    else{
        cfNumber = number;
    };

    msg = await message.channel.send('<a:coinflip:792364681560981504>  | Flipping...');

    setTimeout( async function() {

        if(Math.random() < 0.5 == true){
            cfNumber = cfNumber;
            await db.add(`Balance_${message.author.id}`, cfNumber);
            cfNumber = numberWithCommas(cfNumber*2);
            msg.edit(`<:coin:792364680931967006> | You won ${cfNumber} <:cash:792364680324448306>`);
            
        }else{
            await db.subtract(`Balance_${message.author.id}`, cfNumber);
            cfNumber = numberWithCommas(cfNumber);
            msg.edit(`<:coin:792364680931967006> | You lost ${cfNumber} <:cash:792364680324448306>`);
            
        }
    }, 2000);

    function numberWithCommas(x) {
        var parts = x.toString().split(".");
        parts[0]=parts[0].replace(/\B(?=(\d{3})+(?!\d))/g,".");
        return parts.join(",");
    }
};

module.exports.help = {
    name: 'cf',
    aliases: ['yt','yazıtura','coinflip']
};
