const Discord = require('discord.js');
const db = require('quick.db');

exports.run = async(bot, message, args) => {
    let sender = message.author.id;
    let target = message.guild.member(message.mentions.users.first() || message.guild.members.cache.get(args[0]));
    let amount = parseInt(args[1]);
    if (target.user.id == sender) return message.channel.send(`You can't send money to yourself?`)
    let bal = await db.get(`Balance_${message.author.id}`);
    if (amount > bal || amount <= 0 || !bal) return message.channel.send(`Your balance is under the value you entered.`);
    else{
        await db.subtract(`Balance_${sender}`, amount);
        await db.add(`Balance_${target.user.id}`, amount);
        message.channel.send(`Sent ${amount}$ to <@${target.user.id}>`)
    }
};

module.exports.help = {
    name: 'send',
    aliases: ['give','ver']
};