const Settings = require('../settings');
const Discord = require('discord.js');
const ms = require('parse-ms');
const db = require('quick.db');

exports.run = async(bot, message, args) => {
    let cooldown = 8.64e+7,
    amout = 500;
    let daily = await db.fetch(`lastDaily_${message.author.id}`);

    if (daily !== null && cooldown - (Date.now() - daily)> 0 ){
        let time = ms(cooldown - (Date.now() - daily),{ long: true });
        message.channel.send(`You already claimed today's daily. Please wait \`${time.hours}h ${time.minutes}m ${time.seconds}s\` to claim again.`);
    } else{
        message.channel.send(`Successfully claimed ${amout}$.`);
        db.set(`lastDaily_${message.author.id}`, Date.now());
        db.add(`Balance_${message.author.id}`, 500);
    }
};

module.exports.help = {
    name: 'daily',
    aliases: ['günlük']
};