module.exports = {

    message: (bot, settings, discord) => {

        bot.on('message', async message => {

            let prefix = settings.prefix;
            if (message.channel.type === "dm") return;
            let args = message.content.slice(prefix.length).trim().split(' ');
            let cmd = args.shift().toLowerCase();
            let command;
            if (!message.content.startsWith(prefix)) return;
            if (bot.commands.has(cmd)) {
                command = bot.commands.get(cmd);
            } else if (bot.aliases.has(cmd)) {
                command = bot.commands.get(bot.aliases.get(cmd));
            }
                try {
                    command.run(bot, message, args);
                } catch (err) {
                    if (err) return undefined;
                }
            }
        )}
};